PostgreSQL 7.2.1 Documentation
Prev |  | Next

# dictresult

## Name

dictresult -- like getresult but returns a list of dictionaries

## Synopsis

    dictresult()

### Parameters

none

### Return Type

list

  List of dictionaries.

### Exceptions

SyntaxError

  Too many arguments.

pg.error

  Invalid previous result.

## Description

`dictresult()` method returns the list of the values returned by the query with each tuple returned as a dictionary with the field names used as the dictionary index.

Prev | Home | Next
getresult | Up | listfields